PHP Manual
Prev |  | Next

# finfo_buffer

(PECL)

finfo_buffer -- Return information about a string buffer

## Description

string finfo_buffer ( resource finfo, string string [, int options] )
class finfo {
string buffer ( string string [, int options] )
}

This function is used to get information about binary data in a string.

## Parameters

`finfo`

  Fileinfo resource returned by finfo_open().

`string`

  Content of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

## Return Values

Returns a textual description of the `string` argument, or `FALSE` if an error occurred.

## Examples

Example 1. A finfo_buffer() example

`<?php $finfo = new finfo(FILEINFO_MIME); echo $finfo->buffer($_POST["script"]) . "\n"; ?>`

The above example will output something similar to:

    application/x-sh

## See Also

finfo_file()

Prev | Home | Next
Fileinfo Functions | Up | finfo_close